Get a Recurring Gift
curl --request GET \
--url https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 700089,
"transactionSource": null,
"transactionId": null,
"contactId": 100456,
"startDate": "2023-02-15T00:00:00Z",
"amount": 50,
"frequency": "Monthly",
"anticipatedEndDate": null,
"cancelDateTimeUtc": null,
"createDateTimeUtc": "2023-02-15T10:30:00Z",
"createdByUser": "Online Form",
"modifiedDateTimeUtc": "2025-11-15T03:00:00Z",
"modifiedByUser": "Recurring Gift Service",
"segmentId": null,
"segment": null,
"segmentUrl": null,
"automatedPayments": true,
"trackPayments": true,
"isPrivate": false,
"status": "Active",
"nextExpectedPaymentDate": "2025-12-15T00:00:00Z",
"designations": [
{
"projectId": 1001,
"project": "General Fund",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1001",
"amountDesignated": 50,
"projectCode": "GEN"
}
],
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Recurring Gifts
Get a Recurring Gift
GET
/
api
/
RecurringGift
/
{recurringGiftId}
Get a Recurring Gift
curl --request GET \
--url https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/RecurringGift/{recurringGiftId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 700089,
"transactionSource": null,
"transactionId": null,
"contactId": 100456,
"startDate": "2023-02-15T00:00:00Z",
"amount": 50,
"frequency": "Monthly",
"anticipatedEndDate": null,
"cancelDateTimeUtc": null,
"createDateTimeUtc": "2023-02-15T10:30:00Z",
"createdByUser": "Online Form",
"modifiedDateTimeUtc": "2025-11-15T03:00:00Z",
"modifiedByUser": "Recurring Gift Service",
"segmentId": null,
"segment": null,
"segmentUrl": null,
"automatedPayments": true,
"trackPayments": true,
"isPrivate": false,
"status": "Active",
"nextExpectedPaymentDate": "2025-12-15T00:00:00Z",
"designations": [
{
"projectId": 1001,
"project": "General Fund",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1001",
"amountDesignated": 50,
"projectCode": "GEN"
}
],
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Response
OK
Last modified on April 23, 2026
Was this page helpful?